Bug 1257312 - host ssh fingerprints persisting and preventing host re-use after a delete/re-discover
host ssh fingerprints persisting and preventing host re-use after a delete/re...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - CloudForms (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: beta
: 1.0
Assigned To: Jesus M. Rodriguez
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 14:45 EDT by Dave Johnson
Modified: 2016-04-29 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-08-26 14:45:01 EDT
Description of problem:
================================
See bug 1255779 for some background, basically going through a successful first deployment, deleting the hosts, re-discovering the hosts, and trying to work through a second seccessfull deployment results in an error.  It appears that the known hosts file with its ssh fingerprints needs to be wiped at some point in the delete process, or maybe when doing the ssh commands, we purposely don't add the fingerprint to the known_hosts file?

See https://bugzilla.redhat.com/show_bug.cgi?id=1255779#c6 specifically.


Version-Release number of selected component (if applicable):
================================================================
0824 iso


How reproducible:
=====================
200%
Comment 1 John Matthews 2015-08-28 16:57:55 EDT
https://github.com/fusor/fusor/pull/340
Comment 2 John Matthews 2015-08-28 17:00:07 EDT
In RHCI-6.0-RHEL-7-20150828.2
Comment 3 Dave Johnson 2015-08-31 14:28:08 EDT
good 2 go in 0829

Note You need to log in before you can comment on or make changes to this bug.